Subject: bug#75543: 30.0.93; Turn remember mode into a minor mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Jan 2025 11:00:16 +0200

> From: Matthias Meulien <[email-masked]>
> Date: Mon, 13 Jan 2025 23:16:48 +0100
> 
> Remember Mode is great but I encountered two limitations:
> 
> - The major mode to edit data to remember is hard-coded to `text-mode'
>   where one may want to use Enriched text, Markdown, etc. modes
> 
> - A possible workflow is to select the file to store the data
>   dynamically, after the data to remember has been edited
> 
> A patch is attached that turn `remember-mode' into a minor mode and
> define a customizable variable `remember-initial-major-mode' to select
> the major mode used to edit data to remember.
> 
> It also defines the `remember-append-in-data-directory' handler that
> covers the second limitation.
> 
> Finally, a prefix map is defined for the `remember',
> `remember-clipboard', and `remember-notes' commands.
> 
> I am using analogous modifications to maintain my personnal notes in
> Markdown format. I don't claim the patch is to be used as is, but I think it illustrate
> possible evolutions of the simple but great Remember mode. 
> 
> Are such changes acceptable and pertinent? Is it worth to fine tune the patch? Comments welcome!

I don't see why we won't want to extend Remember mode along these
lines.  Stefan, WDYT?

If Stefan agrees, please do finalize the patch and resubmit.  The few
minor issues I saw is that all the new defcustoms should have the
:version tag, and this needs a NEWS entry.